Get Holding Detail
GET
/api/v1/wallets/{address}/holdings/{symbol}
const url = 'https://api.qeychain.xyz/api/v1/wallets/example/holdings/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.qeychain.xyz/api/v1/wallets/example/holdings/exampleGet detailed view of a single asset across all chains.
Returns all lots, acquisition dates, and cost basis breakdown for a specific token symbol.
Response Format:
{
"success": true,
"data": {
"symbol": "ETH",
"total_quantity": "5.5",
"holdings_by_chain": [...],
"lots": [...]
},
"meta": {...}
}
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”address
required
Address
string
symbol
required
Symbol
string
Query Parameters
Section titled “Query Parameters”owned_wallets
Any of:
Array<string>
null
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response Get Holding Detail Api V1 Wallets Address Holdings Symbol Get
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}